/* Specific spacing */

.space_10 {
  height: 10px;
  width: 100%;
}
.space_20 {
  height: 20px;
  width: 100%;
}
.space_30 {
  height: 30px;
  width: 100%;
}
.space_40 {
  height: 40px;
  width: 100%;
}
.space_50 {
  height: 50px;
  width: 100%;
}
.space_60 {
  height: 60px;
  width: 100%;
}
.space_70 {
  height: 70px;
  width: 100%;
}
.space_80 {
  height: 80px;
  width: 100%;
}
.space_90 {
  height: 90px;
  width: 100%;
}
.space_100 {
  height: 100px;
  width: 100%;
}

/*--------------------------------------------------------------
# Our Projects Section
--------------------------------------------------------------*/
#projects {
  background: rgba(243, 228, 226, 0.71);
}
.projects .portfolio-flters {
  padding: 0;
  margin: 0 auto 20px auto;
  list-style: none;
  text-align: center;
}

.projects .portfolio-flters li {
  cursor: pointer;
  display: inline-block;
  padding: 0;
  font-size: 18px;
  font-weight: 500;
  margin: 0 10px;
  line-height: 1;
  margin-bottom: 5px;
  transition: all 0.3s ease-in-out;
}

.projects .portfolio-flters li:hover,
.projects .portfolio-flters li.filter-active {
  color: var(--color-primary);
}

.projects .portfolio-flters li:first-child {
  margin-left: 0;
}

.projects .portfolio-flters li:last-child {
  margin-right: 0;
}

@media (max-width: 575px) {
  .projects .portfolio-flters li {
    font-size: 14px;
    margin: 0 5px;
  }
}

.projects .portfolio-content {
  position: relative;
  overflow: hidden;
}

.projects .portfolio-content img {
  transition: 0.3s;
}

.projects .portfolio-content .portfolio-info {
  opacity: 0;
  position: absolute;
  inset: 0;
  z-index: 3;
  transition: all ease-in-out 0.3s;
  background: rgba(0, 0, 0, 0.6);
  padding: 15px;
}

.project-top-text {
  opacity: 1;
  position: absolute;
  inset: 0;
  z-index: 3;
  transition: all ease-in-out 0.3s;
  font-size: 34px;
  font-style: italic;
  text-shadow: 1px 1px 2px pink;
  color: #fff;
  padding: 15px;
  text-align: center;
  z-index: 4;
}

.projects .portfolio-content .portfolio-info h4 {
  font-size: 14px;
  padding: 5px 10px;
  font-weight: 400;
  color: #fff;
  display: inline-block;
  background-color: var(--color-primary);
}

.projects .portfolio-content .portfolio-info p {
  position: absolute;
  bottom: 10px;
  text-align: center;
  display: inline-block;
  left: 0;
  right: 0;
  font-size: 13px;
  font-weight: 600;
  color: rgba(255, 255, 255, 0.8);
  padding-left: 10px;
  padding-right: 10px;
}

.projects .portfolio-content .portfolio-info .preview-link,
.projects .portfolio-content .portfolio-info .details-link {
  position: absolute;
  left: calc(50% - 40px);
  font-size: 26px;
  top: calc(50% - 14px);
  color: #fff;
  transition: 0.3s;
  line-height: 1.2;
}

.projects .portfolio-content .portfolio-info .preview-link:hover,
.projects .portfolio-content .portfolio-info .details-link:hover {
  color: var(--color-primary);
}

.projects .portfolio-content .portfolio-info .details-link {
  left: 50%;
  font-size: 34px;
  line-height: 0;
}

.projects .portfolio-content:hover .portfolio-info {
  opacity: 1;
}

.portfolio-content:hover .project-top-text {
  opacity: 1;
}


.projects .portfolio-content:hover img {
  transform: scale(1.1);
}
